org.apache.ignite.internal.cache.query.index.sorted.maintenance

## Class MaintenanceRebuildIndexTarget

- java.lang.Object
- - org.apache.ignite.internal.cache.query.index.sorted.maintenance.MaintenanceRebuildIndexTarget

    public class MaintenanceRebuildIndexTarget
    extends Object

RebuildIndexAction's parameters.

### Constructor Summary

Constructors
Constructor and Description
`MaintenanceRebuildIndexTarget(int cacheId, String idxName)` Constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `cacheId()`
`boolean` `equals(Object o)`
`int` `hashCode()`
`String` `idxName()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### MaintenanceRebuildIndexTarget

    public MaintenanceRebuildIndexTarget(int cacheId,
                                         String idxName)

Constructor.

Parameters:
  `cacheId` - Cache id.
  `idxName` - Name of the index.

### Method Detail

#### cacheId

    public int cacheId()

Returns:
  Cache id.

#### idxName

    public String idxName()

Returns:
  Name of the index.

#### equals

    public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.13.0
Release Date | : April 20 2022